// ToneyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ToneyApp.h"
#include "ToneyDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CToneyDlg dialog

CToneyDlg::CToneyDlg(CWnd* pParent /*=NULL*/)	: CDialog(CToneyDlg::IDD, pParent) {
	//{{AFX_DATA_INIT(CToneyDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

BEGIN_MESSAGE_MAP(CToneyDlg, CDialog)
	//{{AFX_MSG_MAP(CToneyDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_Play, OnPlay)
	ON_BN_CLICKED(IDC_Stop, OnStop)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToneyDlg message handlers


BOOL CToneyDlg::OnInitDialog() {
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
  Toney.LoadCombo((CComboBox*)GetDlgItem(IDC_ToneList), "RingTones.RTTTL");
  Toney.Play("Trim Phone:d=16,o=5,b=350:a,b,a,b,a,b,a,4p,a,b,a,b,a,b,a,b,a.");

  return TRUE;  // return TRUE  unless you set the focus to a control
}

void CToneyDlg::OnStop() {Toney.Stop();}
void CToneyDlg::OnPlay() {
  OnStop();
  CString S;
  CComboBox* List=(CComboBox*)GetDlgItem(IDC_ToneList);
  List->GetLBText(List->GetCurSel(), S);
  Toney.Play(S, "RingTones.RTTTL");
}

/*
If you add a minimize button to your dialog, you will need the code below
to draw the icon.  For MFC applications using the document/view model,
this is automatically done for you by the framework.
*/
void CToneyDlg::OnPaint() {
	if (IsIconic()){
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
  } else CDialog::OnPaint();
}

// The system calls this to obtain the cursor to display while the user drags the minimized window.
HCURSOR CToneyDlg::OnQueryDragIcon() {return (HCURSOR) m_hIcon;}


